package com.ejie.ad74a.ws.client.dokusi.model.papel0;

import java.util.ArrayList;
import java.util.List;

public class Documento implements java.io.Serializable {

	private static final long serialVersionUID = 1L;

	// Id de Documento en BBDD
	private String idDocPapel0;
	private String oidDokusi;
	private String roleId;
	private String newRoleId;
	private String tipoDocumento;
	private String descripcion;
	private String nombre;
	private String extension;
	// "CIUDADANIA" o "ADMINISTRACION" o "ORGANISMO_EXTERNO"
	private String origenDocumento;
	private String numeroExpediente;
	private String procedureID;
	private String contentType;
	private long length;
	private String pifId;
	private User user;
	private List<Metadato> metadatos = new ArrayList<Metadato>();

	public Documento() {
	}

	public Documento(String idDocPapel0, String oidDokusi, String roleId, String newRoleId, String tipoDocumento,
			String descripcion, String nombre, String extension, String origenDocumento, String numeroExpediente,
			String procedureID, User user) {
		super();
		this.idDocPapel0 = idDocPapel0;
		this.oidDokusi = oidDokusi;
		this.roleId = roleId;
		this.newRoleId = newRoleId;
		this.tipoDocumento = tipoDocumento;
		this.descripcion = descripcion;
		this.nombre = nombre;
		this.extension = extension;
		this.origenDocumento = origenDocumento;
		this.numeroExpediente = numeroExpediente;
		this.procedureID = procedureID;
		this.user = user;
	}

	public String getIdDocPapel0() {
		return idDocPapel0;
	}

	public void setIdDocPapel0(String idDocPapel0) {
		this.idDocPapel0 = idDocPapel0;
	}

	public String getOidDokusi() {
		return oidDokusi;
	}

	public void setOidDokusi(String oidDokusi) {
		this.oidDokusi = oidDokusi;
	}

	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	public String getNewRoleId() {
		return newRoleId;
	}

	public void setNewRoleId(String newRoleId) {
		this.newRoleId = newRoleId;
	}

	public String getTipoDocumento() {
		return tipoDocumento;
	}

	public void setTipoDocumento(String tipoDocumento) {
		this.tipoDocumento = tipoDocumento;
	}

	public String getDescripcion() {
		return descripcion;
	}

	public void setDescripcion(String descripcion) {
		this.descripcion = descripcion;
	}

	public String getNombre() {
		return nombre;
	}

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	public String getExtension() {
		return extension;
	}

	public void setExtension(String extension) {
		this.extension = extension;
	}

	public String getOrigenDocumento() {
		return origenDocumento;
	}

	public void setOrigenDocumento(String origenDocumento) {
		this.origenDocumento = origenDocumento;
	}

	public String getNumeroExpediente() {
		return numeroExpediente;
	}

	public void setNumeroExpediente(String numeroExpediente) {
		this.numeroExpediente = numeroExpediente;
	}

	public String getProcedureID() {
		return procedureID;
	}

	public void setProcedureID(String procedureID) {
		this.procedureID = procedureID;
	}

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}

	public List<Metadato> getMetadatos() {
		return metadatos;
	}

	public void setMetadatos(List<Metadato> metadatos) {
		this.metadatos = metadatos;
	}

	public String getContentType() {
		return contentType;
	}

	public void setContentType(String contentType) {
		this.contentType = contentType;
	}

	public long getLength() {
		return length;
	}

	public void setLength(long length) {
		this.length = length;
	}

	public String getPifId() {
		return pifId;
	}

	public void setPifId(String pifId) {
		this.pifId = pifId;
	}

}
